> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# KRC20 token metadata

> Retrieve metadata for a KRC20 token

## Cost

This endpoint costs **0.01 RU** (Request Units) per call.


## OpenAPI

````yaml GET /v1/tokens/krc20/{ticker}/metadata
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/tokens/krc20/{ticker}/metadata:
    get:
      tags:
        - Token
      summary: KRC20 token metadata
      description: Retrieve metadata for a KRC20 token
      operationId: TokenController_getTokenMetadata
      parameters:
        - name: ticker
          required: true
          in: path
          description: A Kaspa KRC20 ticker
          schema:
            example: NACHO
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenMetadataResponse'
      security:
        - x-api-key: []
components:
  schemas:
    GetTokenMetadataResponse:
      type: object
      properties:
        result:
          $ref: '#/components/schemas/TokenMetadata'
      required:
        - result
    TokenMetadata:
      type: object
      properties:
        ticker:
          type: string
        maxSupply:
          type: number
        mintLimit:
          type: number
        decimal:
          type: number
        totalMinted:
          type: number
        preMint:
          type: number
        opScoreCreated:
          type: number
        opScoreUpdated:
          type: number
        deployedAt:
          type: number
        status:
          type: string
        revealHash:
          type: string
        holderTotal:
          type: number
        transferTotal:
          type: number
        mintTotal:
          type: number
        deployerAddress:
          type: string
        socialLinks:
          type: array
          items:
            $ref: '#/components/schemas/TokenSocialLink'
        markets:
          description: Token market data for each exchange and DEX
          type: array
          items:
            $ref: '#/components/schemas/TokenMarket'
        iconUrl:
          type: string
        burned:
          type: number
      required:
        - ticker
        - maxSupply
        - mintLimit
        - decimal
        - totalMinted
        - preMint
        - opScoreCreated
        - opScoreUpdated
        - deployedAt
        - status
        - revealHash
        - holderTotal
        - transferTotal
        - mintTotal
        - deployerAddress
        - socialLinks
        - markets
        - iconUrl
        - burned
    TokenSocialLink:
      type: object
      properties:
        type:
          type: string
        url:
          type: string
      required:
        - type
        - url
    TokenMarket:
      type: object
      properties:
        name:
          type: string
          description: Name of the market
        tradingData:
          description: Token market trading data, including price and volume
          allOf:
            - $ref: '#/components/schemas/TokenMarketTradingData'
        metadata:
          description: Token market metadata, including name, icon, and URL
          allOf:
            - $ref: '#/components/schemas/TokenMarketMetadata'
        lastUpdated:
          type: number
          description: Timestamp of the last update
      required:
        - name
        - tradingData
        - metadata
        - lastUpdated
    TokenMarketTradingData:
      type: object
      properties:
        price:
          $ref: '#/components/schemas/TokenMarketTradingDataPrice'
        volume:
          $ref: '#/components/schemas/TokenMarketTradingDataVolume'
      required:
        - price
        - volume
    TokenMarketMetadata:
      type: object
      properties:
        name:
          type: string
        iconUrl:
          type: string
        url:
          type: string
      required:
        - name
        - iconUrl
        - url
    TokenMarketTradingDataPrice:
      type: object
      properties:
        usd:
          type: number
      required:
        - usd
    TokenMarketTradingDataVolume:
      type: object
      properties:
        usd:
          type: number
      required:
        - usd
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````